> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recupera la store window ATB

> Recupera le statistiche aggregate della finestra di traffico per un dispositivo Threat Blocker.



## OpenAPI

````yaml get /api/v1/atb/{id}/store-window/
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/atb/{id}/store-window/:
    get:
      tags:
        - atb
      summary: Get ATB store window
      description: >-
        Retrieve aggregated traffic window statistics for a Threat Blocker
        device.
      operationId: atb_store_window_retrieve
      parameters:
        - in: query
          name: end_date
          schema:
            type: string
            format: date-time
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - in: query
          name: start_date
          schema:
            type: string
            format: date-time
        - in: query
          name: top
          schema:
            type: number
            default: 5
          description: Top N
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    properties:
                      top_source_ips:
                        type: array
                        items:
                          type: object
                          properties:
                            ip:
                              type: string
                            hits:
                              type: integer
                      top_destination_ips:
                        type: array
                        items:
                          type: object
                          properties:
                            ip:
                              type: string
                            hits:
                              type: integer
                      top_denied_traffic:
                        type: array
                        items:
                          type: object
                          properties:
                            src_ip:
                              type: string
                            dst_ip:
                              type: string
                            hits:
                              type: integer
                      top_communicators:
                        type: array
                        items:
                          type: object
                          properties:
                            ip:
                              type: string
                            total_hits:
                              type: integer
                            as_source:
                              type: integer
                            as_destination:
                              type: integer
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````